# Uses of Interface
org.eclipse.unittest.model.ITestCaseElement

Packages that use ITestCaseElement
Package
Description
org.eclipse.unittest.model
Application programming interfaces representing test elements as shown in the Unit Test view.
org.eclipse.unittest.ui

## Uses of ITestCaseElement in org.eclipse.unittest.model

Methods in org.eclipse.unittest.model that return ITestCaseElement
Modifier and Type
Method
Description
`ITestCaseElement`
ITestRunSession.`newTestCase(String testId, String testName, ITestSuiteElement parent, String displayName, String data)`
Creates a new Test Case and adds it to the model

## Uses of ITestCaseElement in org.eclipse.unittest.ui

Methods in org.eclipse.unittest.ui with parameters of type ITestCaseElement
Modifier and Type
Method
Description
`IAction`
ITestViewSupport.`getOpenTestAction(Shell shell, ITestCaseElement testCase)`
Returns an action to open a specified test elements